% Generacja dyskretnych wartoci rnych funkcji dla AVR ASM 2.0
% Plik wykonywalny w programie Matlab
% Rafa Baranowski (C) 2005

clc; clf; clear

N=256;
n=0:(N-1);

out1=round(sin(2*pi*(n+64)/N)*63);
out2=[n(1:2:N)/2,n(N-1:-2:1)/2]-64;
out3=round((n-0.5)/2-64);
out4=[linspace(63,63,128),linspace(-64,-64,128)];

disp(['Tab_sinus:']);
for i=1:16:length(out1)
    disp(['.DB ' num2str(out1(i),'%6i') ', ' num2str(out1(i+1),'%6i') ', ' num2str(out1(i+2),'%6i') ', ' num2str(out1(i+3),'%6i') ', ' num2str(out1(i+4),'%6i') ', ' num2str(out1(i+5),'%6i') ', ' num2str(out1(i+6),'%6i') ', ' num2str(out1(i+7),'%6i') ', ' num2str(out1(i+8),'%6i') ', ' num2str(out1(i+9),'%6i') ', ' num2str(out1(i+10),'%6i') ', ' num2str(out1(i+11),'%6i') ', ' num2str(out1(i+12),'%6i') ', ' num2str(out1(i+13),'%6i') ', ' num2str(out1(i+14),'%6i') ', ' num2str(out1(i+15),'%6i')]);
end

disp(['Tab_trojkat:']);
for i=1:16:length(out1)
    disp(['.DB ' num2str(out2(i),'%6i') ', ' num2str(out2(i+1),'%6i') ', ' num2str(out2(i+2),'%6i') ', ' num2str(out2(i+3),'%6i') ', ' num2str(out2(i+4),'%6i') ', ' num2str(out2(i+5),'%6i') ', ' num2str(out2(i+6),'%6i') ', ' num2str(out2(i+7),'%6i') ', ' num2str(out2(i+8),'%6i') ', ' num2str(out2(i+9),'%6i') ', ' num2str(out2(i+10),'%6i') ', ' num2str(out2(i+11),'%6i') ', ' num2str(out2(i+12),'%6i') ', ' num2str(out2(i+13),'%6i') ', ' num2str(out2(i+14),'%6i') ', ' num2str(out2(i+15),'%6i')]);
end

disp(['Tab_pila:']);
for i=1:16:length(out1)
    disp(['.DB ' num2str(out3(i),'%6i') ', ' num2str(out3(i+1),'%6i') ', ' num2str(out3(i+2),'%6i') ', ' num2str(out3(i+3),'%6i') ', ' num2str(out3(i+4),'%6i') ', ' num2str(out3(i+5),'%6i') ', ' num2str(out3(i+6),'%6i') ', ' num2str(out3(i+7),'%6i') ', ' num2str(out3(i+8),'%6i') ', ' num2str(out3(i+9),'%6i') ', ' num2str(out3(i+10),'%6i') ', ' num2str(out3(i+11),'%6i') ', ' num2str(out3(i+12),'%6i') ', ' num2str(out3(i+13),'%6i') ', ' num2str(out3(i+14),'%6i') ', ' num2str(out3(i+15),'%6i')]);
end

disp(['Tab_prost:']);
for i=1:16:length(out1)
    disp(['.DB ' num2str(out4(i),'%6i') ', ' num2str(out4(i+1),'%6i') ', ' num2str(out4(i+2),'%6i') ', ' num2str(out4(i+3),'%6i') ', ' num2str(out4(i+4),'%6i') ', ' num2str(out4(i+5),'%6i') ', ' num2str(out4(i+6),'%6i') ', ' num2str(out4(i+7),'%6i') ', ' num2str(out4(i+8),'%6i') ', ' num2str(out4(i+9),'%6i') ', ' num2str(out4(i+10),'%6i') ', ' num2str(out4(i+11),'%6i') ', ' num2str(out4(i+12),'%6i') ', ' num2str(out4(i+13),'%6i') ', ' num2str(out4(i+14),'%6i') ', ' num2str(out4(i+15),'%6i')]);
end

plot(n, out1, n, out2, n, out3, n, out4)
