; Wizualizacja zawartoci pamici flash na linijce LED
; Rafa Baranowski (C) 2005

.INCLUDE "tn26def.inc"

	ldi	R16, 0xFF
	out	DDRA, R16		; port PA pracuje w trybie wyjciowym

	ldi	R16, 1<<PORTB4
	out	PORTB, R16		; wcz podciganie na linii PB4

	ldi	ZL, low(0)		; zaaduj rejestr indeksowy Z adresem LSB
	ldi 	ZH, high(0)		;   pierwszej komrki pamici programu

Petla:
	lpm	R0, Z 		; odczytaj wskazywan przez rejestr indeksowy Z
	adiw	ZL, 1			;   komrk pamici flash i zwiksz wskanik
	out	PORTA, R0		; wywietl odczytan warto na linijce
					;   diodowej, doczonej do portu PA

Czekaj_na_nac:
	sbic	PINB, PINB4		; oczekuj na nacinicie klawisza UNIV1,
	rjmp	Czekaj_na_nac	;   doczonego do linii PB4

Czekaj_na_pusc:
	sbis	PINB, PINB4		; oczekuj na puszczenie klawisza UNIV1
	rjmp	Czekaj_na_pusc

	rjmp	Petla			; zaptl programu (skocz do instrukcji
					;   nastpujcej po etykiecie "Petla")
